Foreman - Bug #26260

db:seed on Foreman 1.21 takes too long if you have a lot of discovered hosts

03/06/2019 06:13 PM - Guilherme M. Schroeder

Status: Closed
Priority: Normal
Assignee: Tomer Brisker
Category: Database
Target version: 1.21.1
Difficulty: Fixed in Releases: 1.21.1,1.22.0
Triaged: No Found in Releases: 1.21.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6546
Description
Hi,

| have a Foreman instance with about 17k hosts and 18k discovered hosts and db:seed is taking a lot of time to assign the resources

to the new default organization that 1.21 creates:

[root@devforeman ~J# grep organization_id /var/log/foreman/production.log | head -1
2019-03-06T16:23:56 [l|aud|] Host::Base (293112) update event on organization_id , 117

[root@devforeman ~J# grep organization_id /var/log/foreman/production.log | tail -1
2019-03-06T19:08:31 [l|aud|] Host::Base (194789) update event on organization_id , 117

[root@devforeman ~]# grep -c update /var/log/foreman/production.log
2942

Every update is taking about 3-4 seconds:

2019-03-06T19:04:22 [l|aud|] Host::Base (195408) update event on organization_id , 117
2019-03-06T19:04:27 [l|aud|] Host::Base (195407) update event on organization_id , 117
2019-03-06T19:04:31 [l|aud|] Host::Base (195406) update event on organization_id , 117
2019-03-06T19:04:35 [l|aud|] Host::Base (195405) update event on organization_id , 117
2019-03-06T19:04:39 [l|aud|] Host::Base (195404) update event on organization_id , 117

Shouldn't this be faster?

Thank you.

Associated revisions

Revision d1e191e1 - 03/18/2019 01:30 PM - Tomer Brisker

Fixes #26260 - Mass assign discovered hosts to seeded taxonomies (#6546)
Otherwise, assignment triggers callbacks and audits for each discobered
host, leading to very long seed time when upgrading with many discovered

hosts and taxonomies disabled.
Also, don't audit template assignments.

History

#1 - 03/06/2019 06:16 PM - Evgeni Golov
- Category set to Database

- Found in Releases 1.21.0 added

#2 - 03/06/2019 09:54 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker
- Pull request https://github.com/theforeman/foreman/pull/6546 added

#3 - 03/06/2019 10:07 PM - Tomer Brisker

- Target version set to 1.21.1

#4 - 03/18/2019 01:30 PM - Marek Hulan
- Fixed in Releases 1.22.0 added

#5 - 03/18/2019 01:33 PM - Tomer Brisker
- Fixed in Releases 1.21.1 added

#6 - 03/18/2019 02:02 PM - Tomer Brisker
- Status changed from Ready For Testing to Closed

Applied in changeset d1e191e10fba5b97856bde29cf10721464eddf1d.
#7 - 03/28/2019 09:34 AM - Tomer Brisker

- Subject changed from db:seed on Foreman 1.21 takes too long if you have a lot of hosts to db:seed on Foreman 1.21 takes too long if you have a lot
of discovered hosts
